#define COLOR_NAPOVEDA_HLAVNI 1
#define COLOR_NAPOVEDA_NADPIS 2
#define COLOR_NAPOVEDA_NADPIS2 3
#define COLOR_NAPOVEDA_ZAVORKY 4
#define COLOR_NAPOVEDA_UVOZOVKY 5
#define COLOR_NAPOVEDA_GNU 6
#define COLOR_BUTTON_HLAVNI 7
#define COLOR_COPYRIGHT_HLAVNI 8
#define COLOR_COPYRIGHT_OK 9
#define COLOR_PISMENA_HLAVNI 10
#define COLOR_KLAVESNICE_HLAVNI 11
#define COLOR_KLAVESNICE_MALICEK 12
#define COLOR_KLAVESNICE_UKAZOVACEK 13
#define COLOR_KLAVESNICE_PRSTENICEK 14
#define COLOR_KLAVESNICE_PROSTREDNICEK 15
#define COLOR_MENU_HLAVNI 16
#define COLOR_ZNACEK_HLAVNI 17
#define COLOR_INFOLT_HLAVNI 18
#define COLOR_INFOLT_MOZNOPSAT 19
#define COLOR_INFOLT_NEMOZNOPSAT 20
#define COLOR_INFOLT_KOMENTAR 21
#define COLOR_NAPOVEDALT_HLAVNI 22
#define COLOR_VYSLEDKY_HLAVNI 23
#define COLOR_VYSLEDKY_CELKEM 24
#define COLOR_VYSLEDKY_VYBORNE 25
#define COLOR_VYSLEDKY_DOBRE 26
#define COLOR_VYSLEDKY_SPATNE 27
#define COLOR_PASSWORD_HLAVNI 28
#define COLOR_PASSWORD_TEXT 29
#define COLOR_HODNOCENI_HLAVNI 30
#define COLOR_RADEK_HLAVNI  31
#define COLOR_RADEK_UHOZU  32
#define COLOR_RADEK_CHYBA 33
#define COLOR_RADEK_BEZCHYBY 34
#define COLOR_DATUM_HLAVNI 35
#define COLOR_POZADI_HLAVNI 36
#define COLOR_SUB_NADPIS 37
#define COLOR_SUB_HLAVNI 38
#define COLOR_SUB_PSANI 39
#define COLOR_SUB_INFORMACE 40
#define COLOR_ZADEJTEXT_HLAVNI 41
#define COLOR_ZADEJTEXT_TEXT 42

#ifdef PSANIPROFI
#define COLOR_FILE_MANAGER_HLAVNI 43
#define COLOR_POCET 43          /* pocet pouzivanych paru  (<= COLOR_PAIRS) */
#else
#define COLOR_POCET 42          /* pocet pouzivanych paru  (<= COLOR_PAIRS) */
#endif


typedef struct {
    int fg;
    int bg;
} barvy_par;

/* defaultni nastaveni barev jednotlivych oken */
typedef struct {
    barvy_par hlavni;
    barvy_par nadpis;
    barvy_par nadpis2;
    barvy_par zavorky;
    barvy_par uvozovky;
    barvy_par gnu;
} barvy_napoveda;

typedef struct {
    barvy_par hlavni;
    barvy_par celkem;
    barvy_par vyborne;
    barvy_par dobre;
    barvy_par spatne;
} barvy_vysledky;

typedef struct {
    barvy_par hlavni;
} barvy_button;

typedef struct {
    barvy_par hlavni;
    barvy_par ok;
} barvy_copyright;

typedef struct {
    barvy_par hlavni;
} barvy_pismena;

typedef struct {
    barvy_par hlavni;
    barvy_par malicek;
    barvy_par ukazovacek;
    barvy_par prstenicek;
    barvy_par prostrednicek;
} barvy_klavesnice;

typedef struct {
    barvy_par hlavni;
} barvy_menu;

typedef struct {
    barvy_par hlavni;
} barvy_znacek;

typedef struct {
    barvy_par hlavni;
    barvy_par moznopsat;
    barvy_par nemoznopsat;
    barvy_par komentar;
} barvy_infolt;

typedef struct {
    barvy_par hlavni;
} barvy_napovedalt;

typedef struct {
    barvy_par hlavni;
    barvy_par text;
} barvy_password;

typedef struct {
    barvy_par hlavni;
} barvy_hodnoceni;

typedef struct {
    barvy_par hlavni;
    barvy_par uhozu;
    barvy_par chyba;
    barvy_par bezchyby;
} barvy_radek;

typedef struct {
    barvy_par hlavni;
} barvy_datum;

typedef struct {
    barvy_par hlavni;
} barvy_pozadi;

typedef struct {
    barvy_par nadpis;
    barvy_par hlavni;
    barvy_par psani;
    barvy_par informace;
} barvy_sub;

typedef struct {
    barvy_par hlavni;
    barvy_par text;
} barvy_zadejtext;

#ifdef PSANIPROFI
typedef struct {
    barvy_par hlavni;
} barvy_file_manager;
#endif


/* defaultni nastaveni vsech oken */
typedef struct {
    barvy_napoveda napoveda;
    barvy_vysledky vysledky;
    barvy_button button;
    barvy_copyright copyright;
    barvy_pismena pismena;
    barvy_klavesnice klavesnice;
    barvy_menu menu;
    barvy_znacek znacek;
    barvy_infolt infolt;
    barvy_napovedalt napovedalt;
    barvy_password password;
    barvy_hodnoceni hodnoceni;
    barvy_radek radek;
    barvy_datum datum;
    barvy_pozadi pozadi;
    barvy_sub sub;
    barvy_zadejtext zadejtext;
#ifdef PSANIPROFI
    barvy_file_manager file_manager;
#endif
} barvy_schema;

/* promenna obsahujici aktualni barevne schema */
extern barvy_schema bschema;

#ifdef PSANIPROFI
/* dalsi barevna schemata (soubor bschema.c) */
/* pocet schemat je treba upresnit v souboru argumenty.c */
extern barvy_schema bschemata[];
#endif
