/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor infoklavesy.c */

#include "strukturyw.h"
#include "struktury.h"
#include "lib.h"
#include "barvy.h"

char *znaky =
    "    ;  +1  2  3  4  5  6  7  8  9  0  =%  '\n"
    "         qQ  wW  eE  rR  tT  yY  uU  iI  oO  pP  /  )(\n"
    "          aA  sS  dD  fF  gG  hH  jJ  kK  lL  \"  !\n"
    "            zZ  xX  cC  vV  bB  nN  mM  ,?  .:  -_";


int najdi_znak(char znak, char *veta)
{
    int i = 0;

    while (veta[i] != '\0') {
        if (veta[i++] == znak) {
            return 1;
        }
    }
    return 0;
}

void vytiskni_pismena(int y, int x, char *klavesy, char *pismena,
                      char *nove_p, int qwertz)
{
    int i = 0;
    int j = 0;
    int x2 = 0;
    char pomch[2] = { ' ', '\0' };

    do {
        pomch[0] = klavesy[i];
        mvwprintw2(sub_hlavni, y, x + x2++, pomch);
    }
    while ((klavesy[++i] != '\n') && klavesy[i]);

    x2 = j = 0;
    y++;
    i++;

    init_pair2(COLOR_PISMENA_HLAVNI, bschema.pismena.hlavni.fg,
               bschema.pismena.hlavni.bg);
    wattron2(sub_hlavni, COLOR_PAIR(COLOR_PISMENA_HLAVNI));
    do {
        pomch[0] = znaky[j];

        if (qwertz)
            switch (pomch[0]) {
            case 'y':
                pomch[0] = 'z';
                break;
            case 'Y':
                pomch[0] = 'Z';
                break;
            case 'z':
                pomch[0] = 'y';
                break;
            case 'Z':
                pomch[0] = 'Y';
                break;
            }

        if (najdi_znak(pomch[0], pismena) || (pomch[0] == '\n')) {
            if (najdi_znak(pomch[0], nove_p))
                wattron2(sub_hlavni, A_BOLD);
            if (pomch[0] == '%')
                mvwprintw2(sub_hlavni, y, x + x2++, "%%");
            else if (pomch[0] != '\n')
                mvwprintw2(sub_hlavni, y, x + x2++, pomch);
            else {
                y++;
                x2 = 0;
            }
            wattroff2(sub_hlavni, A_BOLD);
        } else {
            mvwaddch2(sub_hlavni, y, x + x2++, ' ');
        }

    }
    while (znaky[++j] != '\0');
}
