/* Copyright (c) 2004 Petr Bilek
   Tento program je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor retezce.c */

#include <stdio.h>

int obsahuje_vse(char *r1, char *r2, short int ignoruj)
{
    short int i, j;
    i = -1;
    while (r2[++i]) {
	if (ignoruj && (r2[i] == ' ' || r2[i] == '\n'))
	    continue;
	j = -1;
	while (r1[++j]) {
	    if (r1[j] == r2[i])
		break;
	}
	if (r1[j] != r2[i]) {
	    fprintf(stderr, "NENALEZEN ZNAK: %c\n", r2[i]);
	    return 0;
	}
    }
    return 1;
}

int obsahuje_mezery(char *r1)
{
    short int i, m;
    i = -1;
    m = 0;
    while (r1[++i] && r1[i] != '\n') {
	if (r1[i] == ' ') {
	    m++;
	    if (m > 1) {
		fprintf(stderr, "Dve mezeri na %i znaku v radku\n", i);
		return 1;
	    }
	} else
	    m = 0;
    }
    if (r1[i - 1] == ' ') {
	fprintf(stderr, "Pozor, radek konci mezerou!\n");
	return 1;
    }
    return 0;
}
